# Class HealpixProc

java.lang.Object
healpix.essentials.HealpixTables
healpix.essentials.HealpixBase
healpix.essentials.HealpixProc

All Implemented Interfaces:
  `Serializable`

public abstract class HealpixProc extends HealpixBase
Procedural interface to the `HealpixBase` functionality. This class is intended for users who prefer a procedural (instead of object-oriented) interface to the HEALPix functionality. It should make transition from packages like PixTools easier.

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class HealpixBase

`HealpixBase.Xyf`

## Field Summary

### Fields inherited from class HealpixBase

`fact1, fact2, ncap, nl2, nl3, nl4, npface, npix, ns_max, nside, order, order_max, scheme`

### Fields inherited from class HealpixTables

`ctab, facearray, jpll, jrll, swap_cycle, swaparray, utab, xoffset, yoffset`

## Method Summary

Modifier and Type
Method
Description
`static long`
`ang2pixNest(int order, Pointing ptg)`
`static long`
`ang2pixRing(int order, Pointing ptg)`
`static Vec3[]`
`boundariesNest(int order, long pix, int step)`
`static Vec3[]`
`boundariesRing(int order, long pix, int step)`
`static double`
`maxPixrad(int order)`
`static long[]`
`neighboursNest(int order, long pix)`
`static long[]`
`neighboursRing(int order, long pix)`
`static long`
`nest2ring(int order, long pix)`
`static Pointing`
`pix2angNest(int order, long pix)`
`static Pointing`
`pix2angRing(int order, long pix)`
`static Vec3`
`pix2vecNest(int order, long pix)`
`static Vec3`
`pix2vecRing(int order, long pix)`
`static RangeSet`
`queryDiscInclusiveNest(int order, Pointing ptg, double radius, int fact)`
`static RangeSet`
`queryDiscInclusiveRing(int order, Pointing ptg, double radius, int fact)`
`static RangeSet`
`queryDiscNest(int order, Pointing ptg, double radius)`
`static RangeSet`
`queryDiscRing(int order, Pointing ptg, double radius)`
`static RangeSet`
`queryPolygonInclusiveNest(int order, Pointing[] vertex, int fact)`
`static RangeSet`
`queryPolygonInclusiveRing(int order, Pointing[] vertex, int fact)`
`static RangeSet`
`queryPolygonNest(int order, Pointing[] vertex)`
`static RangeSet`
`queryPolygonRing(int order, Pointing[] vertex)`
`static RangeSet`
`queryStripNest(int order, double theta1, double theta2, boolean inclusive)`
`static RangeSet`
`queryStripRing(int order, double theta1, double theta2, boolean inclusive)`
`static long`
`ring2nest(int order, long pix)`
`static long`
`vec2pixNest(int order, Vec3 vec)`
`static long`
`vec2pixRing(int order, Vec3 vec)`

### Methods inherited from class HealpixBase

`ang2pix, boundaries, getNpix, getNside, getOrder, getScheme, loc2pix, maxPixrad, neighbours, nest2ring, npix2Nside, nside2Npix, nside2order, order2Npix, pix2ang, pix2loc, pix2ring, pix2vec, pix2xyf, pix2zphi, queryDisc, queryDiscInclusive, queryPolygon, queryPolygonInclusive, queryStrip, ring2nest, ring2theta, ring2xyf, ring2z, setNside, setNsideAndScheme, setScheme, vec2pix, xyf2pix, xyf2pix, zphi2pix`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### maxPixrad

public static double maxPixrad(int order)

### ang2pixNest

public static long ang2pixNest(int order, Pointing ptg) throws Exception

Throws:
  `Exception`

### ang2pixRing

public static long ang2pixRing(int order, Pointing ptg) throws Exception

Throws:
  `Exception`

### pix2angNest

public static Pointing pix2angNest(int order, long pix) throws Exception

Throws:
  `Exception`

### pix2angRing

public static Pointing pix2angRing(int order, long pix) throws Exception

Throws:
  `Exception`

### vec2pixNest

public static long vec2pixNest(int order, Vec3 vec) throws Exception

Throws:
  `Exception`

### vec2pixRing

public static long vec2pixRing(int order, Vec3 vec) throws Exception

Throws:
  `Exception`

### pix2vecNest

public static Vec3 pix2vecNest(int order, long pix) throws Exception

Throws:
  `Exception`

### pix2vecRing

public static Vec3 pix2vecRing(int order, long pix) throws Exception

Throws:
  `Exception`

### ring2nest

public static long ring2nest(int order, long pix) throws Exception

Throws:
  `Exception`

### nest2ring

public static long nest2ring(int order, long pix) throws Exception

Throws:
  `Exception`

### neighboursNest

public static long[] neighboursNest(int order, long pix) throws Exception

Throws:
  `Exception`

### neighboursRing

public static long[] neighboursRing(int order, long pix) throws Exception

Throws:
  `Exception`

### boundariesNest

public static Vec3[] boundariesNest(int order, long pix, int step) throws Exception

Throws:
  `Exception`

### boundariesRing

public static Vec3[] boundariesRing(int order, long pix, int step) throws Exception

Throws:
  `Exception`

### queryDiscNest

public static RangeSet queryDiscNest(int order, Pointing ptg, double radius) throws Exception

Throws:
  `Exception`

### queryDiscRing

public static RangeSet queryDiscRing(int order, Pointing ptg, double radius) throws Exception

Throws:
  `Exception`

### queryDiscInclusiveNest

public static RangeSet queryDiscInclusiveNest(int order, Pointing ptg, double radius, int fact) throws Exception

Throws:
  `Exception`

### queryDiscInclusiveRing

public static RangeSet queryDiscInclusiveRing(int order, Pointing ptg, double radius, int fact) throws Exception

Throws:
  `Exception`

### queryPolygonNest

public static RangeSet queryPolygonNest(int order, Pointing[] vertex) throws Exception

Throws:
  `Exception`

### queryPolygonRing

public static RangeSet queryPolygonRing(int order, Pointing[] vertex) throws Exception

Throws:
  `Exception`

### queryPolygonInclusiveNest

public static RangeSet queryPolygonInclusiveNest(int order, Pointing[] vertex, int fact) throws Exception

Throws:
  `Exception`

### queryPolygonInclusiveRing

public static RangeSet queryPolygonInclusiveRing(int order, Pointing[] vertex, int fact) throws Exception

Throws:
  `Exception`

### queryStripNest

public static RangeSet queryStripNest(int order, double theta1, double theta2, boolean inclusive) throws Exception

Throws:
  `Exception`

### queryStripRing

public static RangeSet queryStripRing(int order, double theta1, double theta2, boolean inclusive) throws Exception

Throws:
  `Exception`